org.apache.poi.hwpf.model.types

## Class BKFAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.BKFAbstractType

- Direct Known Subclasses:
    BookmarkFirstDescriptor

      @Internal
      public abstract class BKFAbstractType
      extends java.lang.Object

  BooKmark First descriptor (BKF).

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected short` | `field_1_ibkl`
    `protected short` | `field_2_bkf_flags`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BKFAbstractType()`
    `protected` | `BKFAbstractType(BKFAbstractType other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillFields(byte[] data, int offset)`
    `short` | `getBkf_flags()` Get the bkf_flags field for the BKF record.
    `short` | `getIbkl()` Index to BKL entry in plcfbkl that describes the ending position of this bookmark in the CP stream.
    `byte` | `getItcFirst()` When bkf.fCol==1, this is the index to the first column of a table column bookmark
    `byte` | `getItcLim()` When bkf.fCol==1, this is the index to limit column of a table column bookmark
    `static int` | `getSize()` Size of record
    `boolean` | `isFCol()` When 1, this bookmark marks a range of columns in a table specified by (bkf.itcFirst, bkf.itcLim)
    `boolean` | `isFPub()` When 1, this indicates that this bookmark is marking the range of a Macintosh Publisher section
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setBkf_flags(short field_2_bkf_flags)` Set the bkf_flags field for the BKF record.
    `void` | `setFCol(boolean value)` Sets the fCol field value.
    `void` | `setFPub(boolean value)` Sets the fPub field value.
    `void` | `setIbkl(short field_1_ibkl)` Index to BKL entry in plcfbkl that describes the ending position of this bookmark in the CP stream.
    `void` | `setItcFirst(byte value)` Sets the itcFirst field value.
    `void` | `setItcLim(byte value)` Sets the itcLim field value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_ibkl

          protected short field_1_ibkl

    - #### field_2_bkf_flags

          protected short field_2_bkf_flags

  - ### Constructor Detail

    - #### BKFAbstractType

          protected BKFAbstractType()

    - #### BKFAbstractType

          protected BKFAbstractType(BKFAbstractType other)

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### getSize

          public static int getSize()

      Size of record

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getIbkl

          public short getIbkl()

      Index to BKL entry in plcfbkl that describes the ending position of this bookmark in the CP stream.

    - #### setIbkl

          public void setIbkl(short field_1_ibkl)

      Index to BKL entry in plcfbkl that describes the ending position of this bookmark in the CP stream.

    - #### getBkf_flags

          public short getBkf_flags()

      Get the bkf_flags field for the BKF record.

    - #### setBkf_flags

          public void setBkf_flags(short field_2_bkf_flags)

      Set the bkf_flags field for the BKF record.

    - #### setItcFirst

          public void setItcFirst(byte value)

      Sets the itcFirst field value. When bkf.fCol==1, this is the index to the first column of a table column bookmark

    - #### getItcFirst

          public byte getItcFirst()

      When bkf.fCol==1, this is the index to the first column of a table column bookmark
      Returns:
        the itcFirst field value.

    - #### setFPub

          public void setFPub(boolean value)

      Sets the fPub field value. When 1, this indicates that this bookmark is marking the range of a Macintosh Publisher section

    - #### isFPub

          public boolean isFPub()

      When 1, this indicates that this bookmark is marking the range of a Macintosh Publisher section
      Returns:
        the fPub field value.

    - #### setItcLim

          public void setItcLim(byte value)

      Sets the itcLim field value. When bkf.fCol==1, this is the index to limit column of a table column bookmark

    - #### getItcLim

          public byte getItcLim()

      When bkf.fCol==1, this is the index to limit column of a table column bookmark
      Returns:
        the itcLim field value.

    - #### setFCol

          public void setFCol(boolean value)

      Sets the fCol field value. When 1, this bookmark marks a range of columns in a table specified by (bkf.itcFirst, bkf.itcLim)

    - #### isFCol

          public boolean isFCol()

      When 1, this bookmark marks a range of columns in a table specified by (bkf.itcFirst, bkf.itcLim)
      Returns:
        the fCol field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.